Bug 1258425 - Use __isa_bits macro instead of list of 64-bit architectures
Use __isa_bits macro instead of list of 64-bit architectures
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nspr (Show other bugs)
rawhide
ppc64le Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-ExcludeArch-ppc64le/PPC64LETracker
  Show dependency treegraph
 
Reported: 2015-08-31 07:09 EDT by Marcin Juszkiewicz
Modified: 2016-02-09 20:07 EST (History)
3 users (show)

See Also:
Fixed In Version: nspr-4.10.10-2.fc21, nspr-4.10.10-2.fc22, nspr-4.10.10-2.fc23, nss-util-3.21.0-1.0.fc23, nss-util-3.21.0-1.0.fc22, nss-3.21.0-1.0.fc21, nss-softokn-3.21.0-1.0.fc23, nss-softokn-3.21.0-1.0.fc22, nss-softokn-3.21.0-1.0.fc21, nss-3.21.0-1.0.fc23, nss-3.21.01
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 20:07:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec change (1.07 KB, patch)
2015-08-31 07:09 EDT, Marcin Juszkiewicz
emaldona: review-
Details | Diff
spec change V2 - in patch format (1.13 KB, patch)
2015-11-14 17:33 EST, Elio Maldonado Batiz
no flags Details | Diff

  None (edit)
Description Marcin Juszkiewicz 2015-08-31 07:09:28 EDT
Created attachment 1068610 [details]
spec change

Description of problem:

nspr can be built in 64bit mode. Current specfile handles it by %ifarch macro with list of 64-bit architectures. But this list is incomplete. It is also not best way to check for 32/64-bit.

Use of %__isa_bits macro is how it should be done.

Version-Release number of selected component (if applicable):

4.10.8-2

How reproducible:

always

Actual results:

ppc64le is treated as 32bit

Expected results:

all current and future 64-bit architectures are treated as 64-bit

Additional info:
Comment 1 Elio Maldonado Batiz 2015-11-10 14:57:40 EST
Thank you Marcin, I'll make the change and adapt for latest sources as needed. We should also do it for the nss-util, nss-softokn and nss packages. I checked and the same has already been done for RHEL since RHEL-7.1.
Comment 2 Elio Maldonado Batiz 2015-11-14 17:29:00 EST
Comment on attachment 1068610 [details]
spec change

This patch woks if you do fedpkg mockbuild or a scratch build. A regular build, failed 
http://koji.fedoraproject.org/koji/getfile?taskID=11837671&name=build.log&offset=-4000
Tried locally /usr/bin/rpmbuild -bs --target noarch --nodeps ./nspr.spec
witch failed in the same way. 

The problems that when building the srpm it is a noarch and __isa_bits doesn't it apply. 

One must have the _isa_bits check bracketed by %ifnarch noarch ... %endif as follows:

%ifnarch noarch
%if 0%{__isa_bits} == 64
                 --enable-64bit \
%endif
%endif

That works: http://koji.fedoraproject.org/koji/buildinfo?buildID=699375
Comment 3 Elio Maldonado Batiz 2015-11-14 17:33 EST
Created attachment 1094219 [details]
spec change V2 - in patch format
Comment 4 Fedora Update System 2015-11-16 15:57:18 EST
nss-3.21.0-1.0.fc23 nss-softokn-3.21.0-1.0.fc23 nss-util-3.21.0-1.0.fc23 nspr-4.10.10-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc355f6cdd
Comment 5 Fedora Update System 2015-11-16 20:16:24 EST
nspr-4.10.10-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ae4c9ec179
Comment 6 Fedora Update System 2015-11-17 10:18:47 EST
nss-3.21.0-1.0.fc21 nss-softokn-3.21.0-1.0.fc21 nspr-4.10.10-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2cccce34fc
Comment 7 Fedora Update System 2015-11-18 11:51:54 EST
nspr-4.10.10-2.fc23, nss-3.21.0-1.0.fc23, nss-softokn-3.21.0-1.0.fc23, nss-util-3.21.0-1.0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nss nspr nss-softokn nss-util'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bc355f6cdd
Comment 8 Fedora Update System 2015-11-18 19:22:27 EST
nspr-4.10.10-2.fc22, nss-3.21.0-1.0.fc22, nss-softokn-3.21.0-1.0.fc22, nss-util-3.21.0-1.0.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nspr nss-softokn nss nss-util'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ae4c9ec179
Comment 9 Fedora Update System 2015-11-19 04:51:50 EST
nspr-4.10.10-2.fc23, nss-3.21.0-1.0.fc23, nss-softokn-3.21.0-1.0.fc23, nss-util-3.21.0-1.0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-11-20 19:51:00 EST
nspr-4.10.10-2.fc21, nss-3.21.0-1.0.fc21, nss-softokn-3.21.0-1.0.fc21, nss-util-3.21.0-1.0.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nspr nss nss-util nss-softokn'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2cccce34fc
Comment 11 Fedora Update System 2015-11-21 11:05:53 EST
nspr-4.10.10-2.fc22 nss-3.21.0-1.1.fc22 nss-softokn-3.21.0-1.0.fc22 nss-util-3.21.0-1.0.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ae4c9ec179
Comment 12 Fedora Update System 2015-11-26 12:15:17 EST
nspr-4.10.10-2.fc22 nss-3.21.0-1.1.fc22 nss-softokn-3.21.0-1.1.fc22 nss-util-3.21.0-1.0.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ae4c9ec179
Comment 13 Fedora Update System 2015-11-26 12:22:03 EST
nspr-4.10.10-2.fc21 nss-3.21.0-1.1.fc21 nss-softokn-3.21.0-1.1.fc21 nss-util-3.21.0-1.0.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2cccce34fc
Comment 14 Fedora Update System 2015-11-26 17:22:03 EST
nspr-4.10.10-2.fc21, nss-3.21.0-1.1.fc21, nss-softokn-3.21.0-1.1.fc21, nss-util-3.21.0-1.0.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nspr nss-util nss nss-softokn'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2cccce34fc
Comment 15 Fedora Update System 2015-11-26 17:54:17 EST
nspr-4.10.10-2.fc22, nss-3.21.0-1.1.fc22, nss-softokn-3.21.0-1.1.fc22, nss-util-3.21.0-1.0.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nspr nss-softokn nss nss-util'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ae4c9ec179
Comment 16 Fedora Update System 2015-11-30 18:24:43 EST
nspr-4.10.10-2.fc22, nss-3.21.0-1.1.fc22, nss-softokn-3.21.0-1.1.fc22, nss-util-3.21.0-1.0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.